forward_static_call_array
func_get_arg
Function handling 함수 목록
PHP Manual

# forward_static_call

(PHP 5 >= 5.3.0)

forward_static_call — Call a static method

### 설명

mixed forward_static_call ( callback `$function` [, mixed `$parameter` [, mixed `$...` ]] )

Calls a user defined function or method given by the `function` parameter, with the following arguments. This function must be called within a method context, it can't be used outside a class.

### 인수

`function`

  The function or method to be called. This parameter may be an array, with the name of the class, and the method, or a string, with a function name.

`parameter`

  Zero or more parameters to be passed to the function.

### 반환값

Returns the function result, or `FALSE` on error.

### 예제

Example #1 forward_static_call() example

`<?php
class A
{
const NAME = 'A';
public static function test() {
$args = func_get_args();
echo static::NAME, " ".join(',', $args)." \n";
}
}
class B extends A
{
const NAME = 'B';
public static function test() {
echo self::NAME, "\n";
forward_static_call(array('A', 'test'), 'more', 'args');
forward_static_call( 'test', 'other', 'args');
}
}
B::test('foo');
function test() {
$args = func_get_args();
echo "C ".join(',', $args)." \n";
}
?>`

위 예제의 출력:

    B
    B more,args
    C other,args

### 참고

- forward_static_call_array() - Call a static method and pass the arguments as array
- call_user_func_array() - Call a user function given with an array of parameters
- call_user_func() - Call a user function given by the first parameter
- is_callable() - 변수 내용을 함수처럼 호출할 수 있는지 확인
- callback형에 대한 정보

forward_static_call_array
func_get_arg
Function handling 함수 목록
PHP Manual